postcss-safe-parser
    DefinitelyTyped icon, indicating that this package has TypeScript declarations provided by the separate @types/postcss-safe-parser package

    6.0.0 • Public • Published

    PostCSS Safe Parser

    A fault-tolerant CSS parser for PostCSS, which will find & fix syntax errors, capable of parsing any input. It is useful for:

    • Parse legacy code with many hacks. For example, it can parse all examples from Browserhacks.
    • Works with demo tools with live input like Autoprefixer demo.
    Sponsored by Evil Martians

    Usage

    const safe = require('postcss-safe-parser')
    
    const badCss = 'a {'
    
    postcss(plugins).process(badCss, { parser: safe }).then(result => {
      result.css //= 'a {}'
    })

    Install

    npm i postcss-safe-parser

    DownloadsWeekly Downloads

    6,263,832

    Version

    6.0.0

    License

    MIT

    Unpacked Size

    5.22 kB

    Total Files

    5

    Last publish

    Collaborators

    • ai